package com.dcsoft.system.face.service.impl;

import java.util.List;

import com.dcsoft.system.face.domain.FaceClasses;
import com.dcsoft.system.face.mapper.FaceClassesMapper;
import com.dcsoft.system.face.service.IFaceClassesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 班级信息Service业务层处理
 *
 * @author dcsoft
 * @date 2023-05-22
 */
@Service
public class FaceClassesServiceImpl implements IFaceClassesService
{
    @Autowired
    private FaceClassesMapper faceClassesMapper;

    /**
     * 查询班级信息
     *
     * @param id 班级信息主键
     * @return 班级信息
     */
    @Override
    public FaceClasses selectFaceClassesById(Long id)
    {
        return faceClassesMapper.selectFaceClassesById(id);
    }

    /**
     * 查询班级信息列表
     *
     * @param faceClasses 班级信息
     * @return 班级信息
     */
    @Override
    public List<FaceClasses> selectFaceClassesList(FaceClasses faceClasses)
    {
        return faceClassesMapper.selectFaceClassesList(faceClasses);
    }

    /**
     * 新增班级信息
     *
     * @param faceClasses 班级信息
     * @return 结果
     */
    @Override
    public int insertFaceClasses(FaceClasses faceClasses)
    {
        return faceClassesMapper.insertFaceClasses(faceClasses);
    }

    /**
     * 修改班级信息
     *
     * @param faceClasses 班级信息
     * @return 结果
     */
    @Override
    public int updateFaceClasses(FaceClasses faceClasses)
    {
        return faceClassesMapper.updateFaceClasses(faceClasses);
    }

    /**
     * 批量删除班级信息
     *
     * @param ids 需要删除的班级信息主键
     * @return 结果
     */
    @Override
    public int deleteFaceClassesByIds(Long[] ids)
    {
        return faceClassesMapper.deleteFaceClassesByIds(ids);
    }

    /**
     * 删除班级信息信息
     *
     * @param id 班级信息主键
     * @return 结果
     */
    @Override
    public int deleteFaceClassesById(Long id)
    {
        return faceClassesMapper.deleteFaceClassesById(id);
    }
}
